QGIS Application - Bug report #17840
Display of symbology on MDB joined table not working properly
2018-01-12 12:53 AM - Jason Ross

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.18.15 Regression?: No

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 25734
Description

QGIS 2.18.15 on Windows 7. | have a layer linked to a File Geodatabase through ESRI's API, this is joined to two tables in a Personal
Geodatabase, one that gives a record a code, the other that turns the code into something meaningful for humans to read. | am trying to
symbolize the layer based off the human-readable code field.

In the layer properties symbology tab | see all my categories and associated values, in the attribute table i can see the records that align
with those values. When i first open the project the layer displays all symbology as NULL/empty value in the categorization. If | then open
the layer properties | see all the categorization values and if | just hit "Apply" the map redraws with proper categorization. However if |
zoom in/out slowly the layer draws properly, but if | zoom quickly, the symbology redraws as if all the values were NULL/empty, if | then
scroll back to a scale that was drawing properly it sometimes redraws the proper symbol values but if | re-zoon quickly it seems to hold
onto the NULL/empty value symbology.

Pure speculation here: it seems like the values from the joined table are not being read fast enough when the screen redraws and so the
values are set at nothing when it categorizes the records, thus the symbology displays the NULL/empty symbol in the categorization.
There are about 5000 records to read and draw each time a zoom happens. For the screen redraws it seems that some zoom scales
remain in a cache and therefore revert to the proper symbology when zoomed to, but once the "NULL/empty symbology is applied in a
fast zoom and that replaces the previous version in the cache, only the NULL/empty symbology version shows at that scale.

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-24 02:00 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
